local modname = minetest.get_current_modname()
local S = minetest.get_translator(modname)

local inventory =
{
	"formspec_version[2]",
	"size[10,8.5]",
	"list[current_player;main;0.1,3.5;8,4]",
	"label[1,0.7;" .. S("Crafting") .. "]",
	"list[current_player;craft;1,1;1,1]",
	"image[2.1,1.1;0.8,0.8;" .. modname .. "_arrow.png]",
	"list[current_player;craftpreview;3,1;1,1]",
}
inventory = table.concat(inventory)

minetest.register_on_joinplayer(function(player)
		local inv = player:get_inventory()
		inv:set_size("main", 32)
		inv:set_size("craftpreview", 1)
		inv:set_size("craft", 1)
		player:set_inventory_formspec(inventory)
	end)
